#include "khello.moc"
#include <kmessagebox.h>
#include <kpopupmenu.h>

KHelloWindow::KHelloWindow() : KMainWindow()
{
  file = new KPopupMenu();
  file->insertItem("&Hello", this, SLOT(slotHello()));
  file->insertItem("&Koniec", this, SLOT(slotExit()));

  help = new KPopupMenu();
  help->insertItem("&Help!", this, SLOT(slotHelp()));

  menu = menuBar();
  menu->insertItem("&Subor", file);
  menu->insertItem("&Pomoc", help);
}

void KHelloWindow::closeEvent(QCloseEvent *e)
{
  kapp->beep();
  KMainWindow::closeEvent(e);
}

void KHelloWindow::slotHello()
{
  KMessageBox::messageBox(0, (KMessageBox::DialogType)5, "Hello KWorld!");
}

void KHelloWindow::slotExit()
{
  close();
}

void KHelloWindow::slotHelp()
{
  KMessageBox::messageBox(0, (KMessageBox::DialogType)5, "Help me!");
}
