#include <kapp.h>
#include <kmainwindow.h>
#include <kpushbutton.h>
#include <kmenubar.h>
#include <qpopupmenu.h>

class KHelloWindow : public KMainWindow
{
    Q_OBJECT
  public:
    KHelloWindow();
    void closeEvent(QCloseEvent *e);
  public slots:
    void slotHello();
    void slotHelp();
    void slotExit();
  private:
    QPushButton *btnHello;
    QPushButton *btnExit;
    KMenuBar *menu;
    QPopupMenu *file, *help;

};
